apiVersion: kubevirt.io/v1
kind: VirtualMachine
metadata:
  annotations:
    kubemacpool.io/transaction-timestamp: '2025-10-22T07:01:16.784515029Z'
    kubevirt.io/latest-observed-api-version: v1
    kubevirt.io/storage-observed-api-version: v1
  resourceVersion: '795167'
  name: ameen-rhel9
  uid: a496238c-bc82-4b24-8d8f-b01e189eb33a
  creationTimestamp: '2025-10-22T07:01:16Z'
  generation: 1
  managedFields:
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:labels':
            .: {}
            'f:migration': {}
            'f:plan': {}
            'f:vmID': {}
        'f:spec':
          .: {}
          'f:runStrategy': {}
          'f:template':
            .: {}
            'f:metadata':
              .: {}
              'f:annotations':
                .: {}
                'f:vm.kubevirt.io/flavor': {}
                'f:vm.kubevirt.io/os': {}
                'f:vm.kubevirt.io/workload': {}
              'f:creationTimestamp': {}
              'f:labels':
                .: {}
                'f:app': {}
            'f:spec':
              .: {}
              'f:architecture': {}
              'f:domain':
                'f:devices':
                  .: {}
                  'f:disks': {}
                  'f:inputs': {}
                  'f:interfaces': {}
                  'f:tpm':
                    .: {}
                    'f:enabled': {}
                .: {}
                'f:firmware':
                  .: {}
                  'f:bootloader':
                    .: {}
                    'f:efi':
                      .: {}
                      'f:secureBoot': {}
                  'f:serial': {}
                'f:resources': {}
                'f:features':
                  .: {}
                  'f:acpi': {}
                  'f:smm':
                    .: {}
                    'f:enabled': {}
                'f:machine':
                  .: {}
                  'f:type': {}
                'f:cpu':
                  .: {}
                  'f:cores': {}
                  'f:sockets': {}
                'f:memory':
                  .: {}
                  'f:guest': {}
                'f:clock':
                  .: {}
                  'f:timezone': {}
              'f:networks': {}
              'f:volumes': {}
      manager: forklift-controller
      operation: Update
      time: '2025-10-22T07:01:16Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:metadata':
          'f:annotations':
            'f:kubevirt.io/latest-observed-api-version': {}
            'f:kubevirt.io/storage-observed-api-version': {}
          'f:finalizers':
            .: {}
            'v:"kubevirt.io/virtualMachineControllerFinalize"': {}
      manager: virt-controller
      operation: Update
      time: '2025-10-22T07:01:16Z'
    - apiVersion: kubevirt.io/v1
      fieldsType: FieldsV1
      fieldsV1:
        'f:status':
          .: {}
          'f:conditions': {}
          'f:printableStatus': {}
          'f:volumeSnapshotStatuses': {}
      manager: virt-controller
      operation: Update
      subresource: status
      time: '2025-10-22T07:01:16Z'
  namespace: mtv-cloudinit
  finalizers:
    - kubevirt.io/virtualMachineControllerFinalize
  labels:
    migration: 0a1f418a-8078-4ef6-8753-e2c03de2eadf
    plan: ba4f467c-4c07-477f-a030-5acc7eb46701
    vmID: 37b3a8ba-0b8f-437e-8f5f-e4a05fa877d9
spec:
  runStrategy: Halted
  template:
    metadata:
      annotations:
        vm.kubevirt.io/flavor: ''
        vm.kubevirt.io/os: ''
        vm.kubevirt.io/workload: ''
      creationTimestamp: null
      labels:
        app: ameen-rhel9
    spec:
      architecture: amd64
      domain:
        clock:
          timezone: UTC
        cpu:
          cores: 1
          sockets: 1
        devices:
          disks:
            - bootOrder: 1
              disk:
                bus: virtio
              name: vol-0
            - disk:
                bus: virtio
              name: vol-1
            - disk:
                bus: virtio
              name: vol-2
            - disk:
                bus: virtio
              name: cloudinitdisk
          inputs:
            - bus: virtio
              name: tablet
              type: tablet
          interfaces:
            - macAddress: '00:50:56:b4:52:ea'
              masquerade: {}
              model: virtio
              name: net-0
          tpm:
            enabled: false
        features:
          acpi: {}
          smm:
            enabled: true
        firmware:
          bootloader:
            efi:
              secureBoot: true
          serial: 423423d7-ca08-96c4-c506-8a76b8819b1b
        machine:
          type: pc-q35-rhel9.6.0
        memory:
          guest: 2Gi
        resources: {}
      networks:
        - name: net-0
          pod: {}
      volumes:
        - name: vol-0
          persistentVolumeClaim:
            claimName: plan-rhel9-vm-1002-q9wqv
        - name: vol-1
          persistentVolumeClaim:
            claimName: plan-rhel9-vm-1002-rt92n
        - name: vol-2
          persistentVolumeClaim:
            claimName: plan-rhel9-vm-1002-tnfg9
        - cloudInitNoCloud:
            userData: |
              #cloud-config
              user: qe-mtv-user
              password: '123456'
          name: cloudinitdisk
status:
  conditions:
    - lastProbeTime: '2025-10-22T07:01:16Z'
      lastTransitionTime: '2025-10-22T07:01:16Z'
      message: VMI does not exist
      reason: VMINotExists
      status: 'False'
      type: Ready
  printableStatus: Stopped
  volumeSnapshotStatuses:
    - enabled: true
      name: vol-0
    - enabled: true
      name: vol-1
    - enabled: true
      name: vol-2
    - enabled: false
      name: cloudinitdisk
      reason: 'Snapshot is not supported for this volumeSource type [cloudinitdisk]'
